const MODULE_NAME = 'CALLBACK.MAIN-HANDLER';

const logger = require('tektrans-logger');

const parseResult = require('../parse-result');

module.exports = (req, res) => {
    res.end('ACK\n');

    const { xid } = res.locals;

    if (!req.body) {
        logger.verbose(`${MODULE_NAME} 18FCF551: Ignoring request without body`, { xid });

        return;
    }

    if (typeof req.body !== 'string') {
        logger.verbose(`${MODULE_NAME} 55F8AB88: Ignoring request with non string type`, {
            xid,
            typeofBody: typeof req.body,
        });

        return;
    }

    logger.verbose(`${MODULE_NAME} 48B1E679: Parsing callback`, {
        xid,
        ip: req.ip,
        method: req.method,
        url: req.url,
        qs: req.query,
        contentType: req.get('content-type'),
        body: req.body,

    });
    parseResult(xid, null, req.body, true, req.ip);
};
